Get Applied Customer Billing Rates
get
/appliedCustomerBillingRate
Gets the applied customer billing rates that match the query criteria.
Request
Query Parameters
-
@type: string
The type of object to return.Examples
-
bill.id: string
Retrieves the applied customer billing rates for the specified billId or billNumber.Examples
-
billingAccount.id: string
Retrieves the applied customer billing rates for the specified account ID or account number.Examples
-
fields: string
The list of comma-separated fields to return in the response.Examples
-
id: string
The ID of the applied customer billing rate to get.Examples
-
isBilled: string
Retrieves applied customer billing rates with the specified status.Examples
-
limit: integer
The maximum number of results to return.Examples
-
offset: integer
The number of results to offset the response by.Examples
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json;charset=utf-8
200 Response
The applied customer billing rates were retrieved successfully.
Headers
-
X-Result-Count:
The number of items returned in the response body.
-
X-Total-Count:
The total number of items that matched the criteria.
Root Schema : schema
Type:
arrayThe applied customer billing rates that matched the search criteria.
Show Source
-
Array of:
object Applied Customer Billing Rate
Title:
Applied Customer Billing RateAn applied customer billing rate.
Nested Schema : Applied Customer Billing Rate
Type:
objectTitle:
Applied Customer Billing RateAn applied customer billing rate.
Show Source
-
@baseType: string
Title:
Base TypeThe object's superclass. -
@schemaLocation: string
(uri)
Title:
Schema LocationThe URI to a JSON schema file that defines additional attributes and relationships. -
@type: string
Title:
TypeThe object's subclass. -
appliedTax: array
appliedTax
The taxes applied to the applied customer billing rate.
-
bill: object
Bill Ref
Title:
Bill RefA reference to a bill. -
billingAccount:
Discriminator: @type
Discriminator:
{ "propertyName":"@type", "mapping":{ "BillingAccountRef":"#/components/schemas/BillingAccountRef" } } -
characteristic: array
characteristic
The characteristics that define the applied customer billing rate.
-
date: string
(date-time)
Title:
Applied Customer Billing Rate Created DateThe date the applied customer billing rate was created. -
description: string
Title:
DescriptionThe applied customer billing rate's description. -
href(required): string
Title:
Applied Customer Billing Rate HrefThe applied customer billing rate's href. -
id(required): string
Title:
Applied Customer Billing Rate IDThe applied customer billing rate's ID. -
isBilled: boolean
Title:
BilledWhether the applied customer billing rate has been billed (true) or not (false). If true, also provide a value for the bill property. If false, also provide a value for the billingAccount property. -
name: string
Title:
Applied Customer Billing Rate NameThe applied customer billing rate's name. -
periodCoverage: object
TimePeriod
Represents a time period with a start date, an end date, or both.
-
product: object
ProductRef
A product reference.
-
taxExcludedAmount: object
Money
Represents a monetary amount.
-
taxIncludedAmount: object
Money
Represents a monetary amount.
-
type: string
Title:
Applied Billing Rate TypeThe applied customer billing rate's type. For example: appliedBillingCharge (for recurring, one time, and usage charges), appliedBillingCredit (for rebates or product alteration credits), or appliedPenaltyCharge (for penalty charges like late fees or payment rejection fees.)
Nested Schema : appliedTax
Type:
arrayThe taxes applied to the applied customer billing rate.
Show Source
-
Array of:
object Applied Billing Tax Rate
Title:
Applied Billing Tax RateThe tax rate applied to a billing rate.
Nested Schema : Bill Ref
Type:
objectTitle:
Bill RefA reference to a bill.
Show Source
-
@baseType: string
Title:
Base TypeThe object's superclass. -
@referredType: string
Title:
Referred TypeThe actual type of the target instance when needed for disambiguation. -
@schemaLocation: string
(uri)
Title:
Schema LocationA URI to a JSON schema file that defines additional attributes and relationships. -
@type: string
Title:
TypeThe object's subclass. -
href: string
Title:
Bill HrefThe bill's href. -
id: string
Title:
Bill IDThe bill's ID.
Nested Schema : Discriminator: @type
Type:
objectDiscriminator: @type
Discriminator Values
Match All
Refers to the billing account. The billing account describes the bill structure.
Show Source
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
allOf
EntityRef
-
object
Discriminator: @type-allOf[2]
Refers to the billing account. The billing account describes the bill structure.
Nested Schema : characteristic
Type:
arrayThe characteristics that define the applied customer billing rate.
Show Source
-
Array of:
object Applied Billing Rate Characteristic
Title:
Applied Billing Rate CharacteristicA characteristic of an applied billing rate, based on the service type, line of business, or other parameters.
Nested Schema : TimePeriod
Type:
objectRepresents a time period with a start date, an end date, or both.
Show Source
-
endDateTime: string
(date-time)
The end of the time period in IETF RFC 3339 format.Example:
1985-04-12T23:20:50.52Z -
startDateTime: string
(date-time)
The start of the time period in IETF RFC 3339 format.Example:
1985-04-12T23:20:50.52Z
Nested Schema : ProductRef
Type:
objectA product reference.
Match All
A product reference.
A product reference.
Show Source
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
allOf
EntityRef
Nested Schema : Money
Type:
objectRepresents a monetary amount.
Show Source
-
unit: string
The currency's ISO 4217 three-letter code.
-
value: number
(double)
A signed floating-point number whose sign depends on the API context.
Nested Schema : Applied Billing Tax Rate
Type:
objectTitle:
Applied Billing Tax RateThe tax rate applied to a billing rate.
Show Source
-
@baseType: string
Title:
Base TypeThe object's superclass. -
@schemaLocation: string
(uri)
Title:
Schema LocationThe URI to a JSON schema file that defines additional attributes and relationships. -
@type: string
Title:
TypeThe object's subclass. -
taxAmount: object
Money
Represents a monetary amount.
-
taxCategory: string
Title:
Tax CategoryThe applied billing tax's category. -
taxRate: number
(float)
Title:
Tax RateThe applied billing tax rate.
Nested Schema : EntityRef
Match All
Represents an entity reference schema for EntityRef classes.
Show Source
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Addressable
Defines a base schema for addressable entities.
-
object
EntityRef-allOf[2]
Represents an entity reference schema for EntityRef classes.
Nested Schema : Extensible
Type:
objectRepresents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
Nested Schema : Addressable
Type:
objectDefines a base schema for addressable entities.
Show Source
-
href: string
The hyperlink reference.
-
id: string
The ID.
Nested Schema : EntityRef-allOf[2]
Type:
objectRepresents an entity reference schema for EntityRef classes.
Show Source
-
@referredType: string
The actual type of the target instance when needed for disambiguation.
-
href: string
The URI of the referred entity.
-
id(required): string
The identifier of the referred entity.
-
name: string
The referred entity's name.
Nested Schema : Discriminator: @type-allOf[2]
Type:
objectRefers to the billing account. The billing account describes the bill structure.
Show Source
-
ratingType: string
Indicates if the account follows a specific payment option such as prepaid or postpaid.
Nested Schema : Applied Billing Rate Characteristic
Type:
objectTitle:
Applied Billing Rate CharacteristicA characteristic of an applied billing rate, based on the service type, line of business, or other parameters.
Show Source
-
@baseType: string
Title:
Base TypeThe object's superclass. -
@schemaLocation: string
(uri)
Title:
Scheme LocationThe URI to a JSON schema file that defines additional attributes and relationships. -
@type: string
Title:
TypeThe object's subclass. -
name(required): string
Title:
Characteristic NameThe characteristic's name. -
value(required):
-
valueType: string
Title:
Characteristic TypeThe data type of the characteristic's value.
400 Response
The request isn't valid.
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Error-allOf[1]
Nested Schema : Extensible
Type:
objectRepresents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
Nested Schema : Error-allOf[1]
Type:
Show Source
object-
code(required): string
The application-specific error detail defined by the API or a common list.
-
message: string
Provides error details and corrective actions for a client user.
-
reason(required): string
Explains the error to a client user.
-
referenceError: string
The URI of documentation that describes the error.
-
status: string
The HTTP error code extension.
401 Response
The client doesn't have the correct privileges.
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Error-allOf[1]
Nested Schema : Extensible
Type:
objectRepresents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
Nested Schema : Error-allOf[1]
Type:
Show Source
object-
code(required): string
The application-specific error detail defined by the API or a common list.
-
message: string
Provides error details and corrective actions for a client user.
-
reason(required): string
Explains the error to a client user.
-
referenceError: string
The URI of documentation that describes the error.
-
status: string
The HTTP error code extension.
403 Response
The request wasn't authorized.
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Error-allOf[1]
Nested Schema : Extensible
Type:
objectRepresents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
Nested Schema : Error-allOf[1]
Type:
Show Source
object-
code(required): string
The application-specific error detail defined by the API or a common list.
-
message: string
Provides error details and corrective actions for a client user.
-
reason(required): string
Explains the error to a client user.
-
referenceError: string
The URI of documentation that describes the error.
-
status: string
The HTTP error code extension.
404 Response
The requested resource couldn't be found.
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Error-allOf[1]
Nested Schema : Extensible
Type:
objectRepresents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
Nested Schema : Error-allOf[1]
Type:
Show Source
object-
code(required): string
The application-specific error detail defined by the API or a common list.
-
message: string
Provides error details and corrective actions for a client user.
-
reason(required): string
Explains the error to a client user.
-
referenceError: string
The URI of documentation that describes the error.
-
status: string
The HTTP error code extension.
405 Response
This method is not allowed.
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Error-allOf[1]
Nested Schema : Extensible
Type:
objectRepresents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
Nested Schema : Error-allOf[1]
Type:
Show Source
object-
code(required): string
The application-specific error detail defined by the API or a common list.
-
message: string
Provides error details and corrective actions for a client user.
-
reason(required): string
Explains the error to a client user.
-
referenceError: string
The URI of documentation that describes the error.
-
status: string
The HTTP error code extension.
409 Response
The request could not be processed due to the conflict with the existing state of the resource.
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Error-allOf[1]
Nested Schema : Extensible
Type:
objectRepresents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
Nested Schema : Error-allOf[1]
Type:
Show Source
object-
code(required): string
The application-specific error detail defined by the API or a common list.
-
message: string
Provides error details and corrective actions for a client user.
-
reason(required): string
Explains the error to a client user.
-
referenceError: string
The URI of documentation that describes the error.
-
status: string
The HTTP error code extension.
500 Response
The system encountered an internal error.
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Error-allOf[1]
Nested Schema : Extensible
Type:
objectRepresents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
Nested Schema : Error-allOf[1]
Type:
Show Source
object-
code(required): string
The application-specific error detail defined by the API or a common list.
-
message: string
Provides error details and corrective actions for a client user.
-
reason(required): string
Explains the error to a client user.
-
referenceError: string
The URI of documentation that describes the error.
-
status: string
The HTTP error code extension.
Examples
The following example shows how to get applied customer billing rates by submitting a GET request on the REST resource using cURL. For more information about cURL, see Use cURL.
The request uses the offset and limit query parameters to restrict the results.
curl -X GET 'http://host:port/brm/customerBillManagement/version/appliedCustomerBillingRate?offset=5&limit=2'
Response Body
The following example shows the contents of the response body in JSON format.
[
{
"id": "0.0.0.1+-item-cycle_forward+108525",
"href": "http://host:port/brm/customerBillManagement/version/appliedCustomerBillingRate/0.0.0.1+-item-cycle_forward+108525",
"date": "2025-05-02T01:14:14-07:00",
"description": null,
"isBilled": false,
"name": "Cycle forward",
"type": "/item/cycle_forward",
"appliedTax": null,
"bill": {
"id": "0.0.0.1+-bill+106861",
"href": "http://host:port/brm/customerBillManagement/version/customerBill/0.0.0.1+-bill+106861",
"@baseType": null,
"@schemaLocation": null,
"@type": "BillRef",
"@referredType": "CustomerBill"
},
"billingAccount": {
"id": "0.0.0.1+-account+107117",
"href": null,
"name": "Tanya K",
"@baseType": null,
"@schemaLocation": null,
"@type": "BillingAccountRef",
"@referredType": "billingAccount"
},
"characteristic": null,
"periodCoverage": null,
"product": null,
"taxExcludedAmount": {
"unit": "EUR",
"value": 45.0
},
"taxIncludedAmount": {
"unit": "EUR",
"value": 45.0
},
"@baseType": "AppliedCustomerBillingRate",
"@schemaLocation": null,
"@type": "AppliedCustomerBillingRate"
},
{
"id": "0.0.0.1+-item-misc+107373",
"href": "http://host:port/brm/customerBillManagement/version/appliedCustomerBillingRate/0.0.0.1+-item-misc+107373",
"date": "2025-05-02T01:14:13-07:00",
"description": null,
"isBilled": false,
"name": "Usage",
"type": "/item/misc",
"appliedTax": null,
"bill": {
"id": "0.0.0.1+-bill+106861",
"href": "http://host:port/brm/customerBillManagement/version/customerBill/0.0.0.1+-bill+106861",
"@baseType": null,
"@schemaLocation": null,
"@type": "BillRef",
"@referredType": "CustomerBill"
},
"billingAccount": {
"id": "0.0.0.1+-account+107117",
"href": null,
"name": "Tanya Levy",
"@baseType": null,
"@schemaLocation": null,
"@type": "BillingAccountRef",
"@referredType": "billingAccount"
},
"characteristic": null,
"periodCoverage": null,
"product": null,
"taxExcludedAmount": {
"unit": "EUR",
"value": 0.0
},
"taxIncludedAmount": {
"unit": "EUR",
"value": 0.0
},
"@baseType": "AppliedCustomerBillingRate",
"@schemaLocation": null,
"@type": "AppliedCustomerBillingRate"
}
]